# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.BalanceShardUnique

Packages that use CollectionAdminRequest.BalanceShardUnique
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.BalanceShardUnique in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.BalanceShardUnique
Modifier and Type
Method
Description
`static CollectionAdminRequest.BalanceShardUnique`
CollectionAdminRequest.`balanceReplicaProperty(String collection, String propertyName)`
Returns a SolrRequest to balance a replica property across the shards of a collection
`CollectionAdminRequest.BalanceShardUnique`
CollectionAdminRequest.BalanceShardUnique.`setOnlyActiveNodes(Boolean onlyActiveNodes)`
`CollectionAdminRequest.BalanceShardUnique`
CollectionAdminRequest.BalanceShardUnique.`setShardUnique(Boolean shardUnique)`